using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class RightsType : DataEntityBase
	{
		public RightsType()
		{
			base.InitMetaData();
		}

		private System.Int32 _TypeID;
		public System.Int32 TypeID
		{
			get
			{
				return this._TypeID;
			}
			set
			{
				this._TypeID = value;
				IsChanged = true;
			}
		}

		private System.String _SubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return this._SubSystemID;
			}
			set
			{
				this._SubSystemID = value;
				IsChanged = true;
			}
		}

		private System.String _TypeName;
		public System.String TypeName
		{
			get
			{
				return this._TypeName;
			}
			set
			{
				this._TypeName = value;
				IsChanged = true;
			}
		}

		private System.Int32 _ParentTypeID;
		public System.Int32 ParentTypeID
		{
			get
			{
				return this._ParentTypeID;
			}
			set
			{
				this._ParentTypeID = value;
				IsChanged = true;
			}
		}

		private System.DateTime _CreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return this._CreateTime;
			}
			set
			{
				this._CreateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _CreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateTime;
		public System.DateTime UpdateTime
		{
			get
			{
				return this._UpdateTime;
			}
			set
			{
				this._UpdateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _UpdateUser;
		public System.Int32 UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}
	}
}